Subject: Re: [PATCH] random32: Restore __latent_entropy attribute on net_rand_state

From: Kees Cook <[email-masked]>
Date: Mon, 5 Oct 2020 19:12:29 -0700

On Fri, Oct 02, 2020 at 05:16:11PM +0200, Thibaut Sautereau wrote:
> From: Thibaut Sautereau <[email-masked]>
> 
> Commit f227e3ec3b5c ("random32: update the net random state on interrupt
> and activity") broke compilation and was temporarily fixed by Linus in
> 83bdc7275e62 ("random32: remove net_rand_state from the latent entropy
> gcc plugin") by entirely moving net_rand_state out of the things handled
> by the latent_entropy GCC plugin.
> 
> From what I understand when reading the plugin code, using the
> __latent_entropy attribute on a declaration was the wrong part and
> simply keeping the __latent_entropy attribute on the variable definition
> was the correct fix.
> 
> Fixes: 83bdc7275e62 ("random32: remove net_rand_state from the latent entropy gcc plugin")
> Cc: Linus Torvalds <[email-masked]>
> Cc: Willy Tarreau <[email-masked]>
> Cc: Emese Revfy <[email-masked]>
> Signed-off-by: Thibaut Sautereau <[email-masked]>

Yes, that looks correct. Thank you!

Acked-by: Kees Cook <[email-masked]>

I'm not sure the best tree for this. Ted, Andrew, Linus? I'll take it
via my gcc plugin tree if no one else takes it. :)

-- 
Kees Cook